using System;
using System.Security.AccessControl;

class sudaranjebrojeva {
    static void Main()
    {
        int x1, x2, y1, y2, z1, z2;
        int x = int.Parse(Console.ReadLine());
        int y = int.Parse(Console.ReadLine());
        if (1 <= x && x < 10 && 1 <= y && y < 10)
            if (x > y)
                Console.WriteLine(x);
            else if (x == y)
                Console.WriteLine("{0}{1}", x, y);
            else
                Console.WriteLine(y);
        else if (x >= 10 && x < 100 && y < 100 && x >= 10)
        {
            x1 = x % 10;
            x2 = x / 10;
            y1 = y % 10;
            y2 = y / 10;

            if (x1 > y1)
                z1 = x1;
            else if (x1 == y1)
                z1 = (x1 * 10 + y1);

            else
                z1 = y1;

            if (x2 > y2)
                z2 = x2;
            else if (x2 == y2)
                z2 = (x2 * 10 + y2);
            else
                z2 = y2;
            Console.WriteLine("{0}{1}", z2, z1);
        }
        else if (x>=1 && x<10 && y>=10 & y<100)
        {
            y1 = y % 10;
            y2 = y / 10;
            if (x > y1)
                z1 = x;

            else if (x == y1)
                z1 = (x * 10 + y1);
            else
                z1 = y1;
            Console.WriteLine("{0}{1}",y2,z1);
        }
        else if (x>=10 && x<100 && y>=1 & y<10)
        {
            x1 = x % 10;
            x2 = x / 10;
            if (y > x1)
                z1 = y;

            else if (y == x1)
                z1 = (y * 10 + x1);
            else
                z1 = x1;
            Console.WriteLine("{0}{1}", x2, z1);
        }
        Console.ReadKey();